* eshell-git-prompt

This package provides some themes of Emacs Shell (Eshell) prompt.

** Usage

In Eshell, type ~use-theme~ to list and preview available themes, then
type ~use-theme name~ to choose a theme.

You can also choose a theme in your init file by using
~eshell-git-prompt-use-theme~, then Eshell will use theme at the
startup. For example, put the following in you init file

#+BEGIN_SRC emacs-lisp
(eshell-git-prompt-use-theme 'powerline)
#+END_SRC

** Recover

(Just in case some theme breaks your Eshell)

To recover the Eshell default prompt, type

#+BEGIN_SRC shell
$ use-theme default
#+END_SRC

or ~M-x eshell-git-prompt-use-theme RET default RET~.

** How does this package work?

You can customize Eshell's prompt via something like the following

#+BEGIN_SRC emacs-lisp
(setq eshell-prompt-function (lambda () "A simple prompt." "$ ")
      eshell-prompt-regexp    "^$ ")
#+END_SRC

this package uses the same way.
